Package org.apache.datasketches.thetacommon

# Enum Class SetOperationCornerCases.CornerCase

java.lang.Object
java.lang.Enum<SetOperationCornerCases.CornerCase>
org.apache.datasketches.thetacommon.SetOperationCornerCases.CornerCase

All Implemented Interfaces:
  `Serializable`, `Comparable<SetOperationCornerCases.CornerCase>`, `Constable`

Enclosing class:
  SetOperationCornerCases

public static enum SetOperationCornerCases.CornerCase extends Enum<SetOperationCornerCases.CornerCase>
List of corner cases

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Degen_Degen`
Degen_Degen
`Degen_Empty`
Degen_Empty
`Degen_Estimation`
Degen_Estimation
`Degen_Exact`
Degen_Exact
`Empty_Degen`
Empty Degen
`Empty_Empty`
Empty Empty
`Empty_Estimation`
Empty Estimation
`Empty_Exact`
Empty Exact
`Estimation_Degen`
Estimation_Degen
`Estimation_Empty`
Estimation_Empty
`Estimation_Estimation`
Estimation_Estimation
`Estimation_Exact`
Estimation_Exact
`Exact_Degen`
Exact Degen
`Exact_Empty`
Exact Empty
`Exact_Estimation`
Exact Estimation
`Exact_Exact`
Exact Exact

## Method Summary

Modifier and Type
Method
Description
`static SetOperationCornerCases.CornerCase`
`caseIdToCornerCase(int id)`
Converts caseId to CornerCaseId
`SetOperationCornerCases.AnotbAction`
`getAnotbAction()`
Gets the AnotB action
`String`
`getCaseDescription()`
Gets the case description
`int`
`getId()`
Gets the case ID
`SetOperationCornerCases.IntersectAction`
`getIntersectAction()`
Gets the intersect action
`SetOperationCornerCases.UnionAction`
`getUnionAction()`
Gets the union action
`static SetOperationCornerCases.CornerCase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SetOperationCornerCases.CornerCase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Empty_Empty

public static final SetOperationCornerCases.CornerCase Empty_Empty
Empty Empty

### Empty_Exact

public static final SetOperationCornerCases.CornerCase Empty_Exact
Empty Exact

### Empty_Estimation

public static final SetOperationCornerCases.CornerCase Empty_Estimation
Empty Estimation

### Empty_Degen

public static final SetOperationCornerCases.CornerCase Empty_Degen
Empty Degen

### Exact_Empty

public static final SetOperationCornerCases.CornerCase Exact_Empty
Exact Empty

### Exact_Exact

public static final SetOperationCornerCases.CornerCase Exact_Exact
Exact Exact

### Exact_Estimation

public static final SetOperationCornerCases.CornerCase Exact_Estimation
Exact Estimation

### Exact_Degen

public static final SetOperationCornerCases.CornerCase Exact_Degen
Exact Degen

### Estimation_Empty

public static final SetOperationCornerCases.CornerCase Estimation_Empty
Estimation_Empty

### Estimation_Exact

public static final SetOperationCornerCases.CornerCase Estimation_Exact
Estimation_Exact

### Estimation_Estimation

public static final SetOperationCornerCases.CornerCase Estimation_Estimation
Estimation_Estimation

### Estimation_Degen

public static final SetOperationCornerCases.CornerCase Estimation_Degen
Estimation_Degen

### Degen_Empty

public static final SetOperationCornerCases.CornerCase Degen_Empty
Degen_Empty

### Degen_Exact

public static final SetOperationCornerCases.CornerCase Degen_Exact
Degen_Exact

### Degen_Estimation

public static final SetOperationCornerCases.CornerCase Degen_Estimation
Degen_Estimation

### Degen_Degen

public static final SetOperationCornerCases.CornerCase Degen_Degen
Degen_Degen

## Method Details

### values

public static SetOperationCornerCases.CornerCase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SetOperationCornerCases.CornerCase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public int getId()
Gets the case ID

Returns:
  the caseId

### getCaseDescription

public String getCaseDescription()
Gets the case description

Returns:
  the caseDescription

### getIntersectAction

public SetOperationCornerCases.IntersectAction getIntersectAction()
Gets the intersect action

Returns:
  the intersectAction

### getAnotbAction

public SetOperationCornerCases.AnotbAction getAnotbAction()
Gets the AnotB action

Returns:
  the anotbAction

### getUnionAction

public SetOperationCornerCases.UnionAction getUnionAction()
Gets the union action

Returns:
  the unionAction

### caseIdToCornerCase

public static SetOperationCornerCases.CornerCase caseIdToCornerCase(int id)
Converts caseId to CornerCaseId

Parameters:
  `id` - the case ID
Returns:
  the Corner Case ID